/*О компании*/

.gradient__wrap {
    background-color: var(--gray-850);
    position: relative;
    z-index: 0;

    &:before {
        content: "";
        position: absolute;
        background-image: url(../main/icon/gradient.svg);
        background-repeat: no-repeat;
        background-size: cover;
        top: 0;
        height: 100%;
        left: 0;
        max-width: 663px;
        width: 100%;
        transform: rotate(180deg);
        z-index: 0
    }

    &:after {
        content: "";
        position: absolute;
        background-image: url(../main/icon/gradient_2.svg);
        background-repeat: no-repeat;
        background-size: cover;
        bottom: 0;
        height: 686px;
        right: 0;
        max-width: 663px;
        width: 100%;
        z-index: 0;
    }
}

.about-main {
    display: grid;
    grid-template-columns: 1fr 35%;
    grid-template-rows: auto auto 1fr auto;
    grid-column-gap: 200px;
    z-index: 1;
    position: relative;

    @media (max-width: 992px) {
        grid-template-columns: 1fr;
        grid-template-rows: auto auto auto auto auto;
    }

    h2 {
        grid-column: 1 / 2;
        grid-row: 1 / 2;
        font-size: var(--fz-42);
        margin-bottom: 40px;
        color: var(--white);
        font-weight: 600;

        @media (max-width: 992px) {
            grid-column: 1 /-1;
            grid-row: 1 ;
        }
        @media (max-width: 576px) {
            font-size: var(--fz-24);
            margin-bottom: 30px;
        }

        a {
            color: var(--red-700);
            display: block;

            svg {
                fill: var(--white);
                stroke: var(--white);
            }
        }
    }

    .about-main__text {
        grid-column: 1 / 2;
        grid-row: 3 / 4;
        display: flex;
        flex-direction: column;
        gap: 16px;
        color: var(--gray-350-50);
        font-size: var(--fz-18);
        margin-bottom: 40px;

        @media (max-width: 992px) {
            grid-column: 1 /-1;
            grid-row: 3;
        }
        @media (max-width: 576px) {
            margin-bottom: 20px;
            font-size: var(--fz-12);
        }

        a {
            color: var(--white);
            transition: color .3s;

            &:hover {
                color: var(--red-600);
            }
        }

        p {
            line-height: 24px;
        }
    }

    .about-main__counts {
        grid-column: 1 / 2;
        grid-row: 4 / 5;
        display: flex;
        gap: 20px;
        margin-bottom: 50px;

        @media (max-width: 992px) {
            grid-column: 1 /-1;
            grid-row: 5;
            margin-top: 40px;
        }
        @media (max-width: 576px) {
            margin-top: 20px;
            margin-bottom: 20px;
        }

        .about-main__count {
            flex: 0 0 calc(100% / 3 - (20px / 3 * 2));
            background-color: rgba(255, 255, 255, .03);

            .about-main__count-icon {
                border-radius: 50%;
                width: 40px;
                height: 40px;
                flex-shrink: 0;
                border: 1px solid var(--red-700);
                display: flex;
                align-items: center;
                justify-content: center;

                svg {
                    width: 25px;
                    height: 25px;
                    fill: var(--red-700);
                    stroke: var(--red-700);
                }
            }

            span {

            }

            small {

            }
        }
    }


    .about-company__video {
        border-radius: 16px;
        overflow: hidden;
        grid-column: 2 / 3;
        grid-row: 1/5;

        @media (max-width: 992px) {
            grid-column: 1 /-1;
            grid-row: 4;
        }

        video {
            width: 100%;
            height: 100%;
            object-fit: cover;
        }
    }

    .about-company__planet {
        grid-column: 2 / 3;
        grid-row: 6;
        color: var(--gray-350-30);
        font-size: var(--fz-18);
        display: flex;
        align-items: center;
        gap: 10px;
        font-weight: 600;

        @media (max-width: 992px) {
            display: none;
        }

        svg {
            width: 70px;
            height: 70px;
            flex-shrink: 0;
            stroke: var(--gray-350-30);
            fill: var(--gray-350-30);
        }

    }

    .about-main__counts {
        display: flex;
        gap: 20px;

        @media (max-width: 576px) {
            gap: 16px;
        }

        .about-main__count {
            flex: 0 0 calc(100% / 3 - (20px / 3 * 2));
            color: var(--white);
            font-size: var(--fz-16);
            display: flex;
            align-items: center;
            justify-content: center;
            flex-direction: column;
            gap: 10px;
            border-radius: 16px;
            border: 1px solid var(--gray-350-30);
            padding: 20px;

            @media (max-width: 992px) {
                align-items: center;
                text-align: center;
                padding: 16px;
            }
            @media (max-width: 576px) {
                flex: 0 0 calc(100% / 3 - (16px / 3 * 2));
            }

            span {
                font-size: var(--fz-20);

                font-weight: 600;

                @media (max-width: 992px) {
                    font-size: var(--fz-24);
                }
                @media (max-width: 576px) {
                    font-size: var(--fz-16);
                }
            }

            small {
                @media (max-width: 576px) {
                    font-size: var(--fz-12);
                }
            }
        }
    }

    .about-main__buttons {
        grid-column: 1;
        grid-row: 6;
        display: flex;
        gap: 40px;

        @media (max-width: 576px) {
            gap: 16px;
        }
    }

    .about-main__btn {
        display: flex;
        align-items: center;
        justify-content: space-between;
        gap: 20px;
        border-radius: 73px;
        background-color: var(--red-700);
        padding: 5px 5px 5px 50px;
        color: var(--white);
        font-size: var(--fz-18);
        max-width: 250px;
        transition: background-color .3s;

        @media (max-width: 576px) {
            font-size: var(--fz-12);
            flex: 1;
            padding: 5px 16px;
            border-radius: 16px;
        }

        &:hover {
            background-color: var(--red-600);

            .about-main__btn-icon:before {
                background-color: var(--red-600);
            }

            svg {
                transform: translate(4px, -50%);
            }
        }
    }

    .about-main__btn-icon {
        width: 66px;
        height: 66px;
        flex-shrink: 0;
        display: flex;
        align-items: center;
        justify-content: center;
        position: relative;

        @media (max-width: 576px) {
            width: 40px;
            height: 40px;
        }

        &:before {
            content: "";
            background-color: var(--red-700);
            border-radius: 50%;
            box-shadow: inset 0 2px 13px rgba(0, 0, 0, .25);
            height: 66px;
            position: absolute;
            right: 0;
            width: 66px;
            flex-shrink: 0;
            transition: background-color .3s;

            @media (max-width: 576px) {
                width: 40px;
                height: 40px;
                right: -10px;
            }
        }


        svg {
            width: 14px;
            height: 14px;
            fill: var(--white);
            stroke: var(--white);
            position: absolute;
            top: 50%;
            left: 25px;
            transition: all .2s ease-out;
            transform: translateY(-50%);

            @media (max-width: 576px) {
                width: 10px;
                height: 10px;
                right: -10px;
            }

        }
    }

    .about-main__btn-partners {
        border-radius: 73px;
        border: 2px solid var(--gray-350-30);
        padding: 5px 50px;
        font-size: var(--fz-18);
        display: flex;
        align-items: center;
        justify-content: center;
        transition: .3s;
        font-weight: 600;
        white-space: nowrap;

        @media (max-width: 576px) {
            font-size: var(--fz-12);
            flex: 1;
            padding: 5px 16px;
            height: 50px;
            border-radius: 16px;
        }

        &:hover {
            border-color: var(--red-600);
            color: var(--white);
        }
    }
}

/*.О компании*/